<?php
/*
 * Main Sidebar
 */
function iPartyWidgetsInit() {
    register_sidebar(array(
        'name' => __('Main Sidebar', 'iparty'),
        'id' => 'main-sidebar',
        'description' => __('Main sidebar that appears on the right.', 'iparty'),
        'before_widget' => '<aside id="%1$s" class="menu-left widget widget_recent_entries %2$s">',
        'after_widget' => '</aside>',
        'before_title' => '<h2>',
        'after_title' => '</h2>',
    ));
    register_sidebar(array(
        'name' => __('Footer 1', 'iparty'),
        'id' => 'footer-1',
        'description' => __('Main sidebar that appears on the right.', 'iparty'),
        'before_widget' => '<aside id="%1$s" class="menu-left widget widget_recent_entries %2$s">',
        'after_widget' => '</aside>',
        'before_title' => '<h3>',
        'after_title' => '</h3>',
    ));
    register_sidebar(array(
        'name' => __('Footer 2', 'iparty'),
        'id' => 'footer-2',
        'description' => __('Main sidebar that appears on the right.', 'iparty'),
        'before_widget' => '<aside id="%1$s" class="menu-left widget widget_recent_entries %2$s">',
        'after_widget' => '</aside>',
        'before_title' => '<h3>',
        'after_title' => '</h3>',
    ));
    register_sidebar(array(
        'name' => __('Footer 3', 'iparty'),
        'id' => 'footer-3',
        'description' => __('Main sidebar that appears on the right.', 'iparty'),
        'before_widget' => '<aside id="%1$s" class="menu-left widget widget_recent_entries %2$s">',
        'after_widget' => '</aside>',
        'before_title' => '<h3>',
        'after_title' => '</h3>',
    ));
    register_sidebar(array(
        'name' => __('Footer 4', 'iparty'),
        'id' => 'footer-4',
        'description' => __('Main sidebar that appears on the right.', 'iparty'),
        'before_widget' => '<aside id="%1$s" class="menu-left widget widget_recent_entries %2$s">',
        'after_widget' => '</aside>',
        'before_title' => '<h3>',
        'after_title' => '</h3>',
    ));
}
add_action('widgets_init', 'iPartyWidgetsInit');
/**
 * Set up post entry meta.    
 * Meta information for current post: categories, tags, permalink, author, and date.    
 * */
function iPartyEntryMeta() {

	$iPartyCategoriesList = get_the_category_list(', ','');
	$iPartyAuthor= ucfirst(get_the_author());
	$iPartyAuthorUrl= esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) );
	$iPartyComments = wp_count_comments(get_the_ID()); 	
	$iPartyDate = sprintf('<time datetime="%1$s">%2$s</time>', esc_attr(get_the_date('c')), esc_html(get_the_date('F d , Y')));
?>	
    <ul>
    	<li><a href="<?php echo $iPartyAuthorUrl; ?>" rel="tag"><?php echo $iPartyAuthor; ?></a></li>
    	<li><?php echo $iPartyDate; ?></li>
    	<?php if(isset($iPartyComments) ) : ?>
    		<li><?php echo $iPartyComments->total_comments.' '; ?><?php _e('COMMENT','iparty'); ?></li>
    	<?php endif; ?>
    </ul>
<?php 	
}
function iPartySingleMeta() {

	$iPartyCategoriesList = get_the_category_list(', ','');
	$iPartyAuthor= ucfirst(get_the_author());
	$iPartyAuthorUrl= esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) );
	$iPartyComments = wp_count_comments(get_the_ID()); 	
	$iPartyDate = sprintf('<time datetime="%1$s">%2$s</time>', esc_attr(get_the_date('c')), esc_html(get_the_date('F d, Y')));
?>	
    <ul>
    	<li><?php _e('By :', 'iparty'); ?><a href="<?php echo $iPartyAuthorUrl; ?>" rel="tag"><?php echo ' '.$iPartyAuthor; ?></a></li>
    	<li><?php echo $iPartyDate; ?></li>
    	<li><?php _e('Category :','iparty'); echo ' '.$iPartyCategoriesList; ?></li>
    </ul>
<?php 	
}
/*
* Function For Tag Meta List
*/
function iPartyTagMeta() {

	$iPartyTagList = get_the_tag_list('', ', #' );

	if(!empty($iPartyTagList)) { ?>
	<div class=""><span ><?php _e('Tag :','iparty')?></span><?php echo '#'.$iPartyTagList; ?></div>
	<?php }
}
/*
 * Comments placeholder function
 */
add_filter( 'comment_form_default_fields', 'iPartyCommentPlaceholders' );
function iPartyCommentPlaceholders( $fields )
{
	$fields['author'] = str_replace(
		'<input',
		'<input placeholder="'
		. esc_attr_x(
		'Name',
		'comment form placeholder',
		'iparty'
		)
		. '" required',
	$fields['author']
	);
	$fields['email'] = str_replace(
		'<input',
		'<input id="email" name="email" type="text" placeholder="'
		. esc_attr_x(
		'Email Id',
		'comment form placeholder',
		'iparty'
		)
		. '" ',
	$fields['email']
	);
	$fields['url'] = str_replace(
		'<input',
		'<input id="url" name="url" type="text" placeholder="'
		. esc_attr_x(
		'Website URL',
		'comment form placeholder',
		'iparty'
		)
		. '" required',
	$fields['url']
	);
	return $fields;
}
add_filter( 'comment_form_defaults', 'iPartyTextareaInsert' );
function iPartyTextareaInsert( $fields )
{

	$fields['comment_field'] = str_replace(
		'<textarea',
		'<textarea id="comment" aria-required="true" rows="8" cols="45" name="comment" placeholder="'
		. esc_attr_x(
		'Comment',
		'comment form placeholder',
		'iparty'
		)
	. '" ',
	$fields['comment_field']
	);
	return $fields;
} ?>